<?php

namespace App\Danoral\Entidades;

use App\Danoral\ModelBase;

class EntidadDatosView extends ModelBase
{
    protected $table = 'admin.entidades_datose_view';
    protected $primaryKey = 'key';
    protected $keyType = 'string';
    public $incrementing = false;
    public $timestamps = false;


    public static function getDatos($idE){
        return EntidadDatosView::where([
                ['idE', $idE],
            ])
            ->orderBy('typeED', 'asc')
            ->get();
    }
}